require 'thor'
require 'anamo/fstree/thor'
require 'anamo/groups/thor'
require 'anamo/node/thor'
require 'anamo/pkgver/thor'
require 'anamo/ports/thor'
require 'anamo/users/thor'

module Anamo
  class Thor < ::Thor

    desc "fstree SUBCOMMAND ...ARGS", "File system tree"
    subcommand "fstree", ::Anamo::Fstree::Thor

    desc "groups SUBCOMMAND ...ARGS", "Groups"
    subcommand "groups", ::Anamo::Groups::Thor

    desc "node SUBCOMMAND ...ARGS", "Node"
    subcommand "node", ::Anamo::Node::Thor

    desc "pkgver SUBCOMMAND ...ARGS", "Package versions"
    subcommand "pkgver", ::Anamo::Pkgver::Thor

    desc "ports SUBCOMMAND ...ARGS", "Ports"
    subcommand "ports", ::Anamo::Ports::Thor

    desc "users SUBCOMMAND ...ARGS", "Users"
    subcommand "users", ::Anamo::Users::Thor

  end
end
